Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-docs.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
path: root/tasks
diff options
context:
space:
mode:
authorMarcel Amirault <mamirault@gitlab.com>2021-02-16 20:52:16 +0300
committerCraig Norris <cnorris@gitlab.com>2021-02-16 20:52:16 +0300
commit54c7e0d10a22d36591277b8daea4cabc77a63350 (patch)
treec6a99bdc1232c7cf09861c60d9949f652bef4940 /tasks
parent9c372f7cbdba7b755161476dafc17c1130765878 (diff)
Test for all unlinked files, docs too
Diffstat (limited to 'tasks')
-rwxr-xr-xtasks/unlinked-files.sh3
-rwxr-xr-xtasks/unlinked-images.sh3
2 files changed, 3 insertions, 3 deletions
diff --git a/tasks/unlinked-files.sh b/tasks/unlinked-files.sh
new file mode 100755
index 00000000..6310b641
--- /dev/null
+++ b/tasks/unlinked-files.sh
@@ -0,0 +1,3 @@
+for FILE in $(git ls-files ./$1/*.png ./$1/**/*.gif ./$1/**/*.jpg ./$1/**/*.md); do
+ git grep $(basename "$FILE") > /dev/null || echo "Unlinked file: $FILE"
+done
diff --git a/tasks/unlinked-images.sh b/tasks/unlinked-images.sh
deleted file mode 100755
index 91e5710f..00000000
--- a/tasks/unlinked-images.sh
+++ /dev/null
@@ -1,3 +0,0 @@
-for FILE in $(git ls-files ./$1/*.png ./$1/*.gif ./$1/*.jpg); do
- git grep $(basename "$FILE") > /dev/null || echo "Unlinked file: $FILE"
-done